# Gimp.Config.deserialize_stream

    @accepts(Gimp.Config, Gio.InputStream, gpointer)
    @returns(bool)
    def deserialize_stream(self, input, data):
        # Python wrapper for gimp_config_deserialize_stream()

Reads configuration data from input and configures self accordingly. Basically this function creates a properly configured GLib.Scanner for you and calls the deserialize function of the self's Gimp.ConfigInterface.

Since 2.10

self

  an object that implements the Gimp.ConfigInterface.

input

  the input stream to read configuration from.

data

  user data passed to the deserialize implementation.

Returns